Problems with installing the AsgardCMS



  • I am getting the next problems by installing the AsgardCMS

    $ composer create-project asgardcms/platform DemoApp
    Warning: This development build of composer is over 60 days old. It is recommend
    ed to update it by running "c:/ProgramData/ComposerSetup/bin/composer.phar self-
    update" to get the latest version.
    Installing asgardcms/platform (1.14.1)

    • Installing asgardcms/platform (1.14.1)
      Loading from cache

    Created project in DemoApp
    Loading composer repositories with package information
    Installing dependencies (including require-dev)
    Your requirements could not be resolved to an installable set of packages.

    Problem 1
    - asgardcms/media-module 1.16.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.17.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.17.1 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.17.2 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.18.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.18.1 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.19.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.20.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.20.1 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.21.0 requires intervention/image ^2.3 -> satisfia
    ble by intervention/image[2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7
    , 2.3.x-dev].
    - asgardcms/media-module 1.0.1 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.0.2 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.0.3 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.0.4 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.1.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.10.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.11.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.12.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.13.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.14.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.14.1 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.14.2 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.15.0 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.15.1 requires intervention/image ~2.1 -> satisfia
    ble by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2
    , 2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.2.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.3.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.3.1 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.4.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.5.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.6.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.7.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.8.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - asgardcms/media-module 1.9.0 requires intervention/image ~2.1 -> satisfiab
    le by intervention/image[2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 2.2.2,
    2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.6, 2.3.7, 2.3.x-dev].
    - intervention/image 2.3.x-dev requires ext-fileinfo * -> the requested PHP
    extension fileinfo is missing from your system.
    - intervention/image 2.3.7 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.6 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.5 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.4 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.3 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.2 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.1 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.3.0 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.2.2 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.2.1 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.2.0 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.1.4 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.1.3 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.1.2 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.1.1 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - intervention/image 2.1.0 requires ext-fileinfo * -> the requested PHP exte
    nsion fileinfo is missing from your system.
    - asgardcms/media-module 1.0.0 requires asgardcms/core-module dev-develop ->
    no matching package found.
    - Installation request for asgardcms/media-module ~1.0 -> satisfiable by asg
    ardcms/media-module[1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.1.0, 1.10.0, 1.11.0, 1.
    12.0, 1.13.0, 1.14.0, 1.14.1, 1.14.2, 1.15.0, 1.15.1, 1.16.0, 1.17.0, 1.17.1, 1.
    17.2, 1.18.0, 1.18.1, 1.19.0, 1.2.0, 1.20.0, 1.20.1, 1.21.0, 1.3.0, 1.3.1, 1.4.0
    , 1.5.0, 1.6.0, 1.7.0, 1.8.0, 1.9.0].

    Potential causes:

    Read https://getcomposer.org/doc/articles/troubleshooting.md for further commo
    n problems.

    What do I need to do?


  • Global Moderator

    You need to enable FileInfo PHP extension.
    Then run same command again.


Log in to reply